# sc::MaxIterExceeded Class Reference

This is thrown when an iterative algorithm attempts to use more iterations than allowed. More...

`#include <scexception.h>`

Inheritance diagram for sc::MaxIterExceeded:

List of all members.

## Public Member Functions

| MaxIterExceeded (const char *description=0, const char *file=0, int line=0, int maxiter=0, const ClassDesc *class_desc=0, const char *exception_type="MaxIterExceeded") throw ()
| MaxIterExceeded (const MaxIterExceeded &) throw ()
int | max_iter () const throw ()

## Detailed Description

This is thrown when an iterative algorithm attempts to use more iterations than allowed.

The documentation for this class was generated from the following file:

- scexception.h